Go to the latest version of this document.

# ``twisted`.`internet`.`abstract``

module documentation
(source)

Support for generic select()able objects.

Class | `FileDescriptor` | An object which can be operated on by select().
Function | `isIPAddress` | Determine whether the given string represents an IP address of the given family; by default, an IPv4 address.
Function | `isIPv6Address` | Determine whether the given string represents an IPv6 address.
Class | `_ConsumerMixin` | `IConsumer` implementations can mix this in to get `registerProducer` and `unregisterProducer` methods which take care of keeping track of a producer's state.
Class | `_LogOwner` | Mixin to help implement `interfaces.ILoggingContext` for transports which have a protocol, the log prefix of which should also appear in the transport's log prefix.
Function | `_concatenate` | Undocumented
Function | `_dataMustBeBytes` | Undocumented

def isIPAddress(addr: `str`, family: `int` = AF_INET) -> `bool`: (source)

Determine whether the given string represents an IP address of the given family; by default, an IPv4 address.

Parameters
addr:`str` | A string which may or may not be the decimal dotted representation of an IPv4 address.
family:`int` | The address family to test for; one of the `AF_*` constants from the `socket` module. (This parameter has only been available since Twisted 17.1.0; previously `isIPAddress` could only test for IPv4 addresses.)

Returns
`bool` | `True` if `addr` represents an IPv4 address, `False` otherwise.

def isIPv6Address(addr: `str`) -> `bool`: (source)

Determine whether the given string represents an IPv6 address.

Parameters
addr:`str` | A string which may or may not be the hex representation of an IPv6 address.

Returns
`bool` | `True` if `addr` represents an IPv6 address, `False` otherwise.

def _concatenate(bObj, offset, bArray): (source)

Undocumented

def _dataMustBeBytes(obj): (source)

Undocumented